Security Enhanced Linux Reference Policy

# Layer: services

## Module: mailman

Interfaces Templates

### Description:

Mailman is for managing electronic mail discussion and e-newsletter lists

### Interfaces:

mailman_append_log( domain )

##### Summary

Append to mailman logs.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mailman_domtrans( domain )

##### Summary

Execute mailman in the mailman domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mailman_domtrans_cgi( domain )

##### Summary

Execute mailman CGI scripts in the mailman CGI domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mailman_domtrans_queue( domain )

##### Summary

Execute mailman_queue in the mailman_queue domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mailman_exec( domain )

##### Summary

Execute mailman in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowd access.

mailman_list_data( domain )

##### Summary

List the contents of mailman data directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mailman_manage_data_files( domain )

##### Summary

Allow domain to to create mailman data files and write the directory.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mailman_manage_log( domain )

##### Summary

Create, read, write, and delete mailman logs.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mailman_read_archive( domain )

##### Summary

Allow domain to read mailman archive files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mailman_read_data_files( domain )

##### Summary

Allow domain to to read mailman data files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mailman_read_data_symlinks( domain )

##### Summary

Allow read acces to mailman data symbolic links.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mailman_read_log( domain )

##### Summary

Read mailman logs.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mailman_search_data( domain )

##### Summary

Allow domain to search data directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mailman_signal_cgi( domain )

##### Summary

Send generic signals to the mailman cgi domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return

### Templates:

mailman_domain_template( userdomain_prefix )

##### Summary

The template to define a mailmain domain.

##### Description

This template creates a domain to be used for a new mailman daemon.

##### Parameters

Parameter: | Description:
--- | ---
userdomain_prefix | The type of daemon to be used eg, cgi would give mailman_cgi_

Return